Skip to main content
GET
/
v1
/
voices
/
{voice_id}
Get voice details by ID
curl --request GET \
  --url https://supertoneapi.com/v1/voices/{voice_id} \
  --header 'x-sup-api-key: <api-key>'
{
  "voice_id": "<voice-id>",
  "name": "Agatha",
  "age": "young-adult",
  "gender": "female",
  "use_case": "narration",
  "use_cases": [
    "narration",
    "storytelling"
  ],
  "language": [
    "ar",
    "bg",
    "cs",
    "da",
    "de",
    "el",
    "en",
    "es",
    "et",
    "fi",
    "fr",
    "hi",
    "hu",
    "id",
    "it",
    "ja",
    "ko",
    "nl",
    "pl",
    "pt",
    "ro",
    "ru",
    "vi"
  ],
  "styles": [
    "kind-default",
    "normal",
    "serene"
  ],
  "models": [
    "sona_speech_1",
    "sona_speech_2",
    "sona_speech_2_flash",
    "supertonic_api_1",
    "supertonic_api_3"
  ],
  "description": "",
  "samples": [
    {
      "language": "ko",
      "style": "kind-default",
      "model": "supertonic_api_3",
      "url": "https://example.com/samples/sample-audio.wav"
    }
  ],
  "thumbnail_image_url": "https://example.com/thumbnails/voice-thumbnail.png"
}
このドキュメントは英語の原文から自動翻訳されています。表現に不自然な箇所がある場合があります。正確な内容は英語の原文もあわせてご確認ください。
単一のプリセットボイスについて、サポート言語、スタイル、モデル、事前生成済みサンプル URL を含む完全なボイスオブジェクトを返します。 ユーザーがクローニングしたボイスについては、代わりに カスタムボイス取得 をご利用ください。

エンドポイント

GET https://supertoneapi.com/v1/voices/{voice_id}

パスパラメータ

NameRequiredDescription
voice_idプリセットボイスの ID です。

レスポンス

ボイスオブジェクトを返します。フィールドごとのリファレンスは Voices をご参照ください。

注意事項

  • アカウント上に voice_id が存在しない場合は 404 Not Found を返します。
  • 明示的な style パラメータなしで TTS を呼び出す前に、このエンドポイントでボイスの デフォルトスタイルstyles の最初の要素)を確認できます。

関連項目

Docs: Voices

ボイスオブジェクトの構造と voice ID の使い方。

List voices

ボイスライブラリ全体を参照します。

Authorizations

x-sup-api-key
string
header
required

Path Parameters

voice_id
string
required

Response

Voice details retrieved successfully

voice_id
string
required

Unique identifier for the voice

Example:

"<voice-id>"

name
string
required

Name of the voice

Example:

"Agatha"

age
string
required

Age of the voice

Example:

"young-adult"

gender
string
required

Gender of the voice

Example:

"female"

use_case
string
required

Use case of the voice

Example:

"narration"

use_cases
string[]
required

Use cases of the voice (array)

Example:
["narration", "storytelling"]
language
string[]
required

Languages supported by the voice

Example:
[
"ar",
"bg",
"cs",
"da",
"de",
"el",
"en",
"es",
"et",
"fi",
"fr",
"hi",
"hu",
"id",
"it",
"ja",
"ko",
"nl",
"pl",
"pt",
"ro",
"ru",
"vi"
]
styles
string[]
required

Styles available for the voice

Example:
["kind-default", "normal", "serene"]
models
string[]
required

Models available for the voice

Example:
[
"sona_speech_1",
"sona_speech_2",
"sona_speech_2_flash",
"supertonic_api_1",
"supertonic_api_3"
]
description
string | null

Description of the voice

Example:

""

samples
object[]

URL to the sample audio file for the voice

thumbnail_image_url
string

URL to the thumbnail image for the voice

Example:

"https://example.com/thumbnails/voice-thumbnail.png"